import { MonthOrYearComponents, pageName, RangeType } from '../../types/store';
import { _EventListener, DynamicStyle } from '../../types/utils';
import { Sub } from '../../types/observer';
export declare const utilStyle: {
    'text-align': string;
    padding: string;
    width: string;
};
export declare function handleRange(state: MonthOrYearComponents): _EventListener[];
export declare function nextYear(type: keyof RangeType): void;
export declare function preYear(): void;
export declare function nextMonth(type: keyof RangeType): void;
export declare function preMonth(): void;
export declare function toMonthPage(state: MonthOrYearComponents): void;
export declare function selectYM(state: MonthOrYearComponents, name: 'year' | 'month'): void;
export declare function toDayPage(state: MonthOrYearComponents): void;
export declare function toYearPage(): void;
export declare function isDayPage(page: pageName): 'none' | 'inline-block';
export declare function canIShow(cb: Sub<string>['cb']): DynamicStyle;
